#!/usr/bin/env bash
function show_help() {
	echo "用法: $0 <容器名称> <工作空间路径>"
    echo
    echo "参数:"
    echo "  <容器名称>       容器的名称"
    echo "  <工作空间路径>   工作空间的路径"
    exit 1
}

# 参数检查
if [ -z "$1" ] || [ -z "$2" ]; then
    echo "错误: 缺少必要的参数。"
    show_help
fi

container_name=$1
worksapce_path=$2
basic_volume_map="-v /workspace/shared-root:/root"
basic_port_map="-p 10122:1922"
base_cmd="docker run -itd --name ${container_name} --hostname ${container_name} ${basic_port_map} ${basic_volume_map}"
image_name="dev-workspace:v2"
volume_map=""

cmd="$base_cmd $volume_map $image_name"
echo ">>> $cmd"
$cmd
